-- phpMyAdmin SQL Dump
-- version 5.1.3
-- https://www.phpmyadmin.net/
--
-- Host: mysql
-- Generation Time: Apr 12, 2024 at 04:56 PM
-- Server version: 10.4.24-MariaDB-1:10.4.24+maria~focal-log
-- PHP Version: 7.4.29

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `db-a`
--
CREATE DATABASE IF NOT EXISTS `db-a` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;
USE `db-a`;

-- --------------------------------------------------------

--
-- Table structure for table `Persons`
--

CREATE TABLE `Persons` (
  `id` int(11) NOT NULL COMMENT 'PK',
  `Name` varchar(31) DEFAULT NULL COMMENT 'Name[31]',
  `fk_Cities_id` int(11) DEFAULT NULL COMMENT 'Foreign Key to Cities Table'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `Persons`
--

INSERT INTO `Persons` (`id`, `Name`, `fk_Cities_id`) VALUES
(1, 'Leonardo', 3),
(2, 'Francesco', 2),
(3, 'Alessandro', NULL),
(4, 'Lorenzo', 4);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `Persons`
--
ALTER TABLE `Persons`
  ADD PRIMARY KEY (`id`),
  ADD KEY `Persons_Cities_id_fk` (`fk_Cities_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `Persons`
--
ALTER TABLE `Persons`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'PK', AUTO_INCREMENT=5;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `Persons`
--
ALTER TABLE `Persons`
  ADD CONSTRAINT `Persons_Cities_id_fk` FOREIGN KEY (`fk_Cities_id`) REFERENCES `db-b`.`Cities` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
