unit ent_A_persons;

interface

uses
  SysUtils,
  Generics.Collections,
  Aurelius.Mapping.Attributes,
  Aurelius.Types.Blob,
  Aurelius.Types.DynamicProperties,
  Aurelius.Types.Nullable,
  Aurelius.Types.Proxy;

type
  TPersons = class;

  [Entity]
  [Table('Persons', 'db-a')]
  [Id('Fid', TIdGenerator.IdentityOrSequence)]
  TPersons = class
  private
    [Column('id', [TColumnProp.Required, TColumnProp.NoInsert, TColumnProp.NoUpdate])]
    Fid: Integer;

    [Column('Name', [TColumnProp.Required], 31)]
    FName: string;


  public
    property id: Integer read Fid write Fid;
    property Name: string read FName write FName;
  end;

implementation

initialization
  RegisterEntity(TPersons);

end.
