unit MyService;

interface

uses
  XData.Service.Common, System.Generics.Collections,
  ent_cities, ent_A_persons;

type

  [ServiceContract]
  IMyService = interface(IInvokable)
    ['{79333B85-8EB9-4C72-8AFE-F23A9C3F1576}']

    [HttpGet]     function Get_Cities(): TList<TCities>;
    [HttpGet]     function Get_Persons(): TList<TPersons>;
  end;

implementation

initialization

RegisterServiceType(TypeInfo(IMyService));

end.
