unit MyServiceImplementation;

interface

uses
  XData.Server.Module, XData.Service.Common, System.Generics.Collections,
  MyService,
  ent_cities, ent_A_persons;

type
  [ServiceImplementation]
  TMyService = class(TInterfacedObject, IMyService)
  private
    function Get_Cities(): TList<TCities>;
    function Get_Persons(): TList<TPersons>;
  end;

implementation

function TMyService.Get_Cities: TList<TCities>;
begin
  Result := TXDataOperationContext.Current.GetManager.Find<TCities>.List;
end;


function TMyService.Get_Persons: TList<TPersons>;
begin
  Result := TXDataOperationContext.Current.GetManager.Find<TPersons>.List;
end;

initialization
  RegisterServiceType(TMyService);

end.
